body:has(.sale-popup-wrapper.show) {
  overflow: hidden;
}

.sale-popup-wrapper {
  transition: all 0.5s ease-in-out;
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  justify-content: center;
  align-items: center;
  height: 100%;
  /* background-color: rgba(0, 0, 0, 0.5); */
  z-index: 9999999999;
}
.sale-popup-wrapper .overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: -1;
}
.sale-popup-wrapper .sale-popup-content {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: end;
  max-width: 1000px;
  width: 100%;
  max-height: 530px;
  padding: 0 20px;
}
@media (max-width: 767px) {
  .sale-popup-wrapper .sale-popup-content {
    flex-direction: column;
  }
}
.sale-popup-wrapper .sale-popup-content .close {
  position: absolute;
  top: 0;
  left: 4px;
  font-size: 24px;
  line-height: 25px;
  cursor: pointer;
  color: #c1c1c1;
}
.sale-popup-wrapper .sale-offer {
  background-repeat: no-repeat;
  background-size: cover;
  color: white;
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 0px 25px;
  height: 100%;
  position: relative;
  min-height: 530px;
}
@media (max-width: 767px) {
  .sale-popup-wrapper .sale-offer {
    padding: 20px;
    min-height: auto;
  }
  .sale-popup-wrapper .sale-offer .desc {
    font-size: 15px;
  }
}
@media (max-width: 450px) {
  .sale-popup-wrapper .sale-offer {
    height: 400px;
    background: linear-gradient(90deg, #d6c19b 0%, #f0e3d1 35%, #f3ecdb 100%) !important;
  }
}
.sale-popup-wrapper .sale-offer h6 {
  color: #000000;
  font-weight: 600;
  font-size: 26px;
  margin: 0;
}
.sale-popup-wrapper .sale-offer a {
  background: #f00029;
  padding: 10px 15px;
  text-transform: uppercase;
  color: #ffff;
  font-weight: 500;
  display: inline-block;
  font-size: 17px;
  margin-bottom: 15px;
  transition: 0.5s;
}
.sale-popup-wrapper .sale-offer a:hover {
  box-shadow: 0 0 12px 2px #ac3a3a;
}
.sale-popup-wrapper .sale-offer .desc {
  max-width: 400px;
  width: 100%;
  color: #000;
  font-size: 17px;
  margin-bottom: 15px;
  text-transform: capitalize;
  font-weight: 500;
  line-height: 28px;
  padding: 0 10px;
}
.sale-popup-wrapper .sale-offer p {
  font-size: 21px;
  letter-spacing: 2px;
  color: #000000;
  margin-bottom: 0;
}
.sale-popup-wrapper .sale-offer .highlight {
  color: #f00029;
}
.sale-popup-wrapper .sale-offer p.claim_your {
  background-color: #ffffff;
  display: inline-block;
  min-width: 200px;
  padding: 3px 10px;
}
.sale-popup-wrapper .sale-offer span {
  font-weight: 400 !important;
  color: #000;
}
.sale-popup-wrapper .sale-offer .gift-amount {
  font-size: 47px;
  font-family: "EB Garamond";
  font-weight: 600;
  margin: 28px 0;
}
@media (max-width: 767px) {
  .sale-popup-wrapper .sale-offer .gift-amount {
    font-size: 30px;
    margin: 10px 0;
  }
}
.sale-popup-wrapper .hero-img {
  background: url("/images_new/sale2.jpg") no-repeat;
  height: 100%;
  width: 435px;
  min-height: 530px;
}
@media (max-width: 767px) {
  .sale-popup-wrapper .hero-img {
    min-height: auto;
    min-height: 300px;
    background-size: cover;
    width: 100%;
    background-position: center;
  }
}
@media (max-width: 700px) {
  .sale-popup-wrapper .hero-img {
    display: none;
  }
}
